{ pkgs, ... }:

{
  programs.zed-editor = {
    enable = true;

    extensions = [
      "nix"
      "catppuccin"
      "catppuccin-icons"
      "toml"
      "elixir"
      "make"
      "astro"
      "vue"
      "latex"
    ];

    userSettings = {
      icon_theme = "Catppuccin Macchiato";
      title_bar = {
        show_sign_in = false;
      };
      collaboration_panel = {
        button = false;
      };
      window_decorations = "client";
      status_bar = {
        cursor_position_button = false;
      };
      disable_ai = true;
      telemetry = {
        diagnostics = false;
        metrics = false;
      };
      ui_font_size = 16;
      buffer_font_size = 15;
      theme = {
        mode = "system";
        light = "One Light";
        dark = "Catppuccin Macchiato";
      };

      languages = {
        "Nix" = {
          language_servers = [ "nil" "nixd" ];
          format_on_save = "on";
        };
      };
    };
  };
}
